using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using RFramework;

namespace RFrameGenerate.Model
{
    public partial class T_ST_ActivityOrders: EntityBase<T_ST_ActivityOrders>, ICloneable
    { 
        public Guid MemberGuid{ get;set; }   
        public string MemberOpenID{ get;set; }
        public string MemberName{ get;set; }
        public string MemberNickName{ get;set; }
        public int? State{ get;set; }   
        public string VoucheCode{ get;set; }
        public DateTime? ExpiryDate{ get;set; }   
        public decimal? VoucherMoney{ get;set; }   
        public Guid? OrderGuid{ get;set; }   
        public Guid? StoreActivityGuid{ get;set; }   
        public Guid ActivityDetailGuid{ get;set; }   
        public string OrderNo{ get;set; }
        public int? OrderState{ get;set; }   
        public DateTime? OrderTime{ get;set; }   
        public int? OrderInnerState{ get;set; }   
        public decimal? TotalMoney{ get;set; }   
        public decimal? Quantity{ get;set; }   
        public decimal? Freight{ get;set; }   
        public DateTime? StartDate{ get;set; }   
        public Guid? MerchantGuid{ get;set; }   
        public Guid? SMerchantGuid{ get;set; }   
      
        public override string ToString()
        {
            StringBuilder sb = this.EntityToGetKeyValue();
            if (sb == null)
                return base.ToString();
            else
            {
                return sb.ToString();
            }
        }
        
        #region 创建副本
        /// <summary>
        /// 创建当前 System.Object 的浅表副本
        /// </summary>
        /// <returns>返回当前实例的浅表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public object Clone()
        {
            return this.MemberwiseClone();
        }
        
        /// <summary>
        /// 创建当前 System.Object 的深表副本
        /// </summary>
        /// <returns>返回当前实例的深表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public T_ST_ActivityOrders DeepClone()
        {
            using (System.IO.Stream objectStream = new System.IO.MemoryStream())
            {
                System.Runtime.Serialization.IFormatter formatter = new System.Runtime.Serialization.Formatters.Binary.BinaryFormatter();
                formatter.Serialize(objectStream, this);
                objectStream.Seek(0, System.IO.SeekOrigin.Begin);
                return formatter.Deserialize(objectStream) as T_ST_ActivityOrders;
            }
        }
        /// <summary>
        /// 创建当前 System.Object 的浅表副本
        /// </summary>
        /// <returns>返回当前实例的浅表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public T_ST_ActivityOrders ShallowClone()
        {
            return Clone() as T_ST_ActivityOrders;
        }

        #endregion
        
        #region 实体相互转换        
        protected override T_ST_ActivityOrders CurrentEntity()
        {
            return this;
        }
        #endregion
    }
}

